/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Mpeilung generated by hbm2java
 */
@Entity
@Table(name="MPEILUNG"
    ,schema="SEDDB"
)
public class Mpeilung  implements java.io.Serializable {


     private long mpeilungid;
     private Station station;
     private Date datum;
     private BigDecimal km;
     private String bemerkung;
     private Date lastupdated;
     private Long oldapeilid;
     private Set<Mpeilpunkt> mpeilpunkts = new HashSet<Mpeilpunkt>(0);

    public Mpeilung() {
    }

    public Mpeilung(long mpeilungid, Station station, Date datum, BigDecimal km, Date lastupdated) {
        this.mpeilungid = mpeilungid;
        this.station = station;
        this.datum = datum;
        this.km = km;
        this.lastupdated = lastupdated;
    }
    public Mpeilung(long mpeilungid, Station station, Date datum, BigDecimal km, String bemerkung, Date lastupdated, Long oldapeilid, Set<Mpeilpunkt> mpeilpunkts) {
       this.mpeilungid = mpeilungid;
       this.station = station;
       this.datum = datum;
       this.km = km;
       this.bemerkung = bemerkung;
       this.lastupdated = lastupdated;
       this.oldapeilid = oldapeilid;
       this.mpeilpunkts = mpeilpunkts;
    }

     @Id


    @Column(name="MPEILUNGID", unique=true, nullable=false, precision=11, scale=0)
    public long getMpeilungid() {
        return this.mpeilungid;
    }

    public void setMpeilungid(long mpeilungid) {
        this.mpeilungid = mpeilungid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="STATIONID", nullable=false)
    public Station getStation() {
        return this.station;
    }

    public void setStation(Station station) {
        this.station = station;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="DATUM", nullable=false, length=7)
    public Date getDatum() {
        return this.datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }


    @Column(name="KM", nullable=false, precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="LASTUPDATED", nullable=false, length=7)
    public Date getLastupdated() {
        return this.lastupdated;
    }

    public void setLastupdated(Date lastupdated) {
        this.lastupdated = lastupdated;
    }


    @Column(name="OLDAPEILID", precision=11, scale=0)
    public Long getOldapeilid() {
        return this.oldapeilid;
    }

    public void setOldapeilid(Long oldapeilid) {
        this.oldapeilid = oldapeilid;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="mpeilung")
    public Set<Mpeilpunkt> getMpeilpunkts() {
        return this.mpeilpunkts;
    }

    public void setMpeilpunkts(Set<Mpeilpunkt> mpeilpunkts) {
        this.mpeilpunkts = mpeilpunkts;
    }
}
